Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 4465)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 4466)
@@ -990,21 +995,21 @@
 !--                      x- and y-direction.
                          advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 0 )
-                         advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 3 )  
+                         advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 3 )
                       ENDIF
 !
 !--                   Adjacent to this extended degradation zone, successively
-!--                   upgrade the order of the scheme if this grid point isn't 
-!--                   flagged with bit 31 (indicating extended degradation 
-!--                   zone). 
+!--                   upgrade the order of the scheme if this grid point isn't
+!--                   flagged with bit 31 (indicating extended degradation
+!--                   zone).
                       IF ( .NOT. BTEST( advc_flag(k,j,i), 31 ) )  THEN
 !
 !--                      x-direction. First, clear all previous settings, than
 !--                      set flag for 3rd-order scheme.
-                         IF ( BTEST( advc_flag(k,j,i-1), 31 )  .AND.        &
+                         IF ( BTEST( advc_flag(k,j,i-1), 31 )  .AND.           &
                               BTEST( advc_flag(k,j,i+1), 31 ) )  THEN
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 0 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 1 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 2 )
-                            
+
                             advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 1 )
                          ENDIF
@@ -1012,12 +1017,12 @@
 !--                      x-direction. First, clear all previous settings, than
 !--                      set flag for 5rd-order scheme.
-                         IF ( .NOT. BTEST( advc_flag(k,j,i-1), 31 )  .AND.  &
-                                    BTEST( advc_flag(k,j,i-2), 31 )  .AND.  &
-                              .NOT. BTEST( advc_flag(k,j,i+1), 31 )  .AND.  &
+                         IF ( .NOT. BTEST( advc_flag(k,j,i-1), 31 )  .AND.     &
+                                    BTEST( advc_flag(k,j,i-2), 31 )  .AND.     &
+                              .NOT. BTEST( advc_flag(k,j,i+1), 31 )  .AND.     &
                                     BTEST( advc_flag(k,j,i+2), 31 ) )  THEN
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 0 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 1 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 2 )
-                            
+
                             advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 2 )
                          ENDIF
@@ -1025,10 +1030,10 @@
 !--                      y-direction. First, clear all previous settings, than
 !--                      set flag for 3rd-order scheme.
-                         IF ( BTEST( advc_flag(k,j-1,i), 31 )  .AND.        &
+                         IF ( BTEST( advc_flag(k,j-1,i), 31 )  .AND.           &
                               BTEST( advc_flag(k,j+1,i), 31 ) )  THEN
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 3 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 4 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 5 )
-                            
+
                             advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 4 )
                          ENDIF
@@ -1036,111 +1041,111 @@
 !--                      y-direction. First, clear all previous settings, than
 !--                      set flag for 5rd-order scheme.
-                         IF ( .NOT. BTEST( advc_flag(k,j-1,i), 31 )  .AND.  &
-                                    BTEST( advc_flag(k,j-2,i), 31 )  .AND.  &
-                              .NOT. BTEST( advc_flag(k,j+1,i), 31 )  .AND.  &
+                         IF ( .NOT. BTEST( advc_flag(k,j-1,i), 31 )  .AND.     &
+                                    BTEST( advc_flag(k,j-2,i), 31 )  .AND.     &
+                              .NOT. BTEST( advc_flag(k,j+1,i), 31 )  .AND.     &
                                     BTEST( advc_flag(k,j+2,i), 31 ) )  THEN
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 3 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 4 )
                             advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 5 )
-                            
+
                             advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 5 )
                          ENDIF
                       ENDIF
-                   
+
                    ENDIF
-                   
+
 !
 !--                Near lateral boundary flags might be overwritten. Set
-!--                them again. 
+!--                them again.
 !--                x-direction
-                   IF ( ( non_cyclic_l  .AND.  i == 0  )  .OR.             &
+                   IF ( ( non_cyclic_l  .AND.  i == 0  )  .OR.                 &
                         ( non_cyclic_r  .AND.  i == nx ) )  THEN
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 0 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 1 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 2 )
-                         
+
                       advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 0 )
                    ENDIF
-                   
-                   IF ( ( non_cyclic_l  .AND.  i == 1    )  .OR.           &
+
+                   IF ( ( non_cyclic_l  .AND.  i == 1    )  .OR.               &
                         ( non_cyclic_r  .AND.  i == nx-1 ) )  THEN
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 0 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 1 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 2 )
-                         
+
                       advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 1 )
                    ENDIF
 !
 !--                y-direction
-                   IF ( ( non_cyclic_n  .AND.  j == 0  )  .OR.             &
+                   IF ( ( non_cyclic_n  .AND.  j == 0  )  .OR.                 &
                         ( non_cyclic_s  .AND.  j == ny ) )  THEN
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 3 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 4 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 5 )
-                         
+
                       advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 3 )
                    ENDIF
-                   
-                   IF ( ( non_cyclic_n  .AND.  j == 1    )  .OR.           &
+
+                   IF ( ( non_cyclic_n  .AND.  j == 1    )  .OR.               &
                         ( non_cyclic_s  .AND.  j == ny-1 ) )  THEN
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 3 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 4 )
                       advc_flag(k,j,i) = IBCLR( advc_flag(k,j,i), 5 )
-                         
+
                       advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 4 )
                    ENDIF
-                   
+
                 ENDIF
-                
-                
-!                                                                              
-!--             scalar - z-direction. Fluxes are calculated on w-grid                                      
-!--             level. Boundary values at/within walls aren't used.                                            
-!--             WS1 (6), WS3 (7), WS5 (8)                                      
-                IF ( k == nzb+1 )  THEN                                        
-                   k_mm = nzb                                                  
-                ELSE                                                           
-                   k_mm = k - 2                                                
-                ENDIF                                                          
-                IF ( k > nzt-1 )  THEN                                         
-                   k_pp = nzt+1                                                
-                ELSE                                                           
-                   k_pp = k + 2                                                
-                ENDIF                                                          
-                IF ( k > nzt-2 )  THEN                                         
-                   k_ppp = nzt+1                                               
-                ELSE                                                           
-                   k_ppp = k + 3                                               
-                ENDIF                                                          
-                                                                               
-                flag_set = .FALSE.                                             
-                IF ( ( .NOT. BTEST(wall_flags_total_0(k-1,j,i),0)          .AND.  &
-                             BTEST(wall_flags_total_0(k,j,i),0)            .AND.  &
-                             BTEST(wall_flags_total_0(k+1,j,i),0) )        .OR.   &
-                     ( .NOT. BTEST(wall_flags_total_0(k_pp,j,i),0)         .AND.  &                              
-                             BTEST(wall_flags_total_0(k+1,j,i),0)          .AND.  &
-                             BTEST(wall_flags_total_0(k,j,i),0) )          .OR.   &
-                     ( k == nzt .AND. symmetry_flag == 0 ) )                      &
-                THEN                                                           
-                   advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 6 )             
-                   flag_set = .TRUE.                                           
-                ELSEIF ( ( .NOT. BTEST(wall_flags_total_0(k_mm,j,i),0)    .OR.    &
-                           .NOT. BTEST(wall_flags_total_0(k_ppp,j,i),0) ) .AND.   & 
-                                 BTEST(wall_flags_total_0(k-1,j,i),0)     .AND.   &
-                                 BTEST(wall_flags_total_0(k,j,i),0)       .AND.   &
-                                 BTEST(wall_flags_total_0(k+1,j,i),0)     .AND.   &
-                                 BTEST(wall_flags_total_0(k_pp,j,i),0)    .AND.   &
-                           .NOT. flag_set                                  .OR.   & 
-                         ( k == nzt - 1 .AND. symmetry_flag == 0 ) )              &
-                THEN                                                           
-                   advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 7 )             
-                   flag_set = .TRUE.                                           
-                ELSEIF ( BTEST(wall_flags_total_0(k_mm,j,i),0)            .AND.   &
-                         BTEST(wall_flags_total_0(k-1,j,i),0)             .AND.   &
-                         BTEST(wall_flags_total_0(k,j,i),0)               .AND.   &
-                         BTEST(wall_flags_total_0(k+1,j,i),0)             .AND.   &
-                         BTEST(wall_flags_total_0(k_pp,j,i),0)            .AND.   &
-                         BTEST(wall_flags_total_0(k_ppp,j,i),0)           .AND.   &
-                        .NOT. flag_set )                                          &
+
+
+!
+!--             scalar - z-direction. Fluxes are calculated on w-grid
+!--             level. Boundary values at/within walls aren't used.
+!--             WS1 (6), WS3 (7), WS5 (8)
+                IF ( k == nzb+1 )  THEN
+                   k_mm = nzb
+                ELSE
+                   k_mm = k - 2
+                ENDIF
+                IF ( k > nzt-1 )  THEN
+                   k_pp = nzt+1
+                ELSE
+                   k_pp = k + 2
+                ENDIF
+                IF ( k > nzt-2 )  THEN
+                   k_ppp = nzt+1
+                ELSE
+                   k_ppp = k + 3
+                ENDIF
+
+                flag_set = .FALSE.
+                IF ( ( .NOT. BTEST(wall_flags_total_0(k-1,j,i),0)       .AND.  &
+                             BTEST(wall_flags_total_0(k,j,i),0)         .AND.  &
+                             BTEST(wall_flags_total_0(k+1,j,i),0) )     .OR.   &
+                     ( .NOT. BTEST(wall_flags_total_0(k_pp,j,i),0)      .AND.  &
+                             BTEST(wall_flags_total_0(k+1,j,i),0)       .AND.  &
+                             BTEST(wall_flags_total_0(k,j,i),0) )       .OR.   &
+                     ( k == nzt .AND. symmetry_flag == 0 ) )                   &
+                THEN
+                   advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 6 )
+                   flag_set = .TRUE.
+                ELSEIF ( ( .NOT. BTEST(wall_flags_total_0(k_mm,j,i),0)    .OR. &
+                           .NOT. BTEST(wall_flags_total_0(k_ppp,j,i),0) ) .AND.&
+                                 BTEST(wall_flags_total_0(k-1,j,i),0)     .AND.&
+                                 BTEST(wall_flags_total_0(k,j,i),0)       .AND.&
+                                 BTEST(wall_flags_total_0(k+1,j,i),0)     .AND.&
+                                 BTEST(wall_flags_total_0(k_pp,j,i),0)    .AND.&
+                           .NOT. flag_set                                  .OR.&
+                         ( k == nzt - 1 .AND. symmetry_flag == 0 ) )           &
+                THEN
+                   advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 7 )
+                   flag_set = .TRUE.
+                ELSEIF ( BTEST(wall_flags_total_0(k_mm,j,i),0)         .AND.   &
+                         BTEST(wall_flags_total_0(k-1,j,i),0)          .AND.   &
+                         BTEST(wall_flags_total_0(k,j,i),0)            .AND.   &
+                         BTEST(wall_flags_total_0(k+1,j,i),0)          .AND.   &
+                         BTEST(wall_flags_total_0(k_pp,j,i),0)         .AND.   &
+                         BTEST(wall_flags_total_0(k_ppp,j,i),0)        .AND.   &
+                        .NOT. flag_set )                                       &
                 THEN
                    advc_flag(k,j,i) = IBSET( advc_flag(k,j,i), 8 )
@@ -1156,5 +1161,5 @@
        CALL exchange_horiz_int( advc_flag, nys, nyn, nxl, nxr, nzt, nbgp )
 !
-!--    Set boundary flags at inflow and outflow boundary in case of 
+!--    Set boundary flags at inflow and outflow boundary in case of
 !--    non-cyclic boundary conditions.
        IF ( non_cyclic_l )  THEN
@@ -1173,9 +1178,9 @@
           advc_flag(:,nys-1,:) = advc_flag(:,nys,:)
        ENDIF
-  
-
-
-    END SUBROUTINE ws_init_flags_scalar   
-    
+
+
+
+    END SUBROUTINE ws_init_flags_scalar
+
 !------------------------------------------------------------------------------!
 ! Description:
@@ -1187,5 +1192,5 @@
 
 !
-!--    The arrays needed for statistical evaluation are set to to 0 at the 
+!--    The arrays needed for statistical evaluation are set to to 0 at the
 !--    beginning of prognostic_equations.
        IF ( ws_scheme_mom )  THEN
@@ -1225,6 +1230,7 @@
 
 
-       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !< string identifier, used for assign fluxes to the correct dimension in the analysis array 
-       
+       CHARACTER (LEN = *), INTENT(IN) ::  sk_char !< string identifier, used for assign fluxes to the
+                                                   !<correct dimension in the analysis array
+
        INTEGER(iwp) ::  i         !< grid index along x-direction
        INTEGER(iwp) ::  i_omp     !< leftmost index on subdomain, or in case of OpenMP, on thread
@@ -1235,7 +1241,7 @@
        INTEGER(iwp) ::  k_pp      !< k+2 index in disretization, can be modified to avoid segmentation faults
        INTEGER(iwp) ::  k_ppp     !< k+3 index in disretization, can be modified to avoid segmentation faults
-       INTEGER(iwp) ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms  
+       INTEGER(iwp) ::  nzb_max_l !< index indicating upper bound for order degradation of horizontal advection terms
        INTEGER(iwp) ::  tn        !< number of OpenMP thread
-       
+
        INTEGER(iwp), INTENT(IN), DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::   &
                                                   advc_flag !< flag array to control order of scalar advection
@@ -1244,5 +1250,5 @@
        LOGICAL           ::  non_cyclic_n    !< flag that indicates non-cyclic boundary on the north
        LOGICAL           ::  non_cyclic_r    !< flag that indicates non-cyclic boundary on the right
-       LOGICAL           ::  non_cyclic_s    !< flag that indicates non-cyclic boundary on the south                                           
+       LOGICAL           ::  non_cyclic_s    !< flag that indicates non-cyclic boundary on the south
        LOGICAL, OPTIONAL ::  flux_limitation !< flag indicating flux limitation of the vertical advection
        LOGICAL           ::  limiter         !< control flag indicating the application of flux limitation
@@ -1251,5 +1257,5 @@
        REAL(wp) ::  div           !< velocity diverence on scalar grid
        REAL(wp) ::  div_in        !< vertical flux divergence of ingoing fluxes
-       REAL(wp) ::  div_out       !< vertical flux divergence of outgoing fluxes      
+       REAL(wp) ::  div_out       !< vertical flux divergence of outgoing fluxes
        REAL(wp) ::  f_corr_t      !< correction flux at grid-cell top, i.e. the difference between high and low-order flux
        REAL(wp) ::  f_corr_d      !< correction flux at grid-cell bottom, i.e. the difference between high and low-order flux
@@ -1272,31 +1278,30 @@
        REAL(wp) ::  min_val       !< maximum value of the quanitity along the numerical stencil (in vertical direction)
        REAL(wp) ::  mon           !< monotone solution of the advection equation using 1st-order fluxes
-       REAL(wp) ::  u_comp        !< advection velocity along x-direction 
-       REAL(wp) ::  v_comp        !< advection velocity along y-direction 
-!       
-!--    sk is an array from parameter list. It should not be a pointer, because 
-!--    in that case the compiler can not assume a stride 1 and cannot perform 
-!--    a strided one vector load. Adding the CONTIGUOUS keyword makes things 
-!--    even worse, because the compiler cannot assume strided one in the 
+       REAL(wp) ::  u_comp        !< advection velocity along x-direction
+       REAL(wp) ::  v_comp        !< advection velocity along y-direction
+!
+!--    sk is an array from parameter list. It should not be a pointer, because
+!--    in that case the compiler can not assume a stride 1 and cannot perform
+!--    a strided one vector load. Adding the CONTIGUOUS keyword makes things
+!--    even worse, because the compiler cannot assume strided one in the
 !--    caller side.
        REAL(wp), INTENT(IN),DIMENSION(nzb:nzt+1,nysg:nyng,nxlg:nxrg) ::  sk !<  advected scalar
 
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n     !< discretized artificial dissipation at northward-side of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r     !< discretized artificial dissipation at rightward-side of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t     !< discretized artificial dissipation at top of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n     !< discretized 6th-order flux at northward-side of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r     !< discretized 6th-order flux at rightward-side of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t     !< discretized 6th-order flux at top of the grid box
-       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t_1st !< discretized 1st-order flux at top of the grid box
-       
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !< discretized artificial dissipation at southward-side of the grid box 
-       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !< discretized 6th-order flux at northward-side of the grid box
-       
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !< discretized artificial dissipation at leftward-side of the grid box 
-       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !< discretized 6th-order flux at leftward-side of the grid box
-!
-!--    Used local modified copy of nzb_max (used to degrade order of 
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_n     !< discretized artificial dissipation at northward-side
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_r     !< discretized artificial dissipation at rightward-side
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  diss_t     !< discretized artificial dissipation at top
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_n     !< discretized 6th-order flux at northward-side
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_r     !< discretized 6th-order flux at rightward-side
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t     !< discretized 6th-order flux at top
+       REAL(wp), DIMENSION(nzb:nzt+1)         ::  flux_t_1st !< discretized 1st-order flux at top
+
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_diss_y_local !< discretized artificial dissipation at southward-side
+       REAL(wp), DIMENSION(nzb+1:nzt,0:threads_per_task-1) ::  swap_flux_y_local !< discretized 6th-order flux at northward-side
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_diss_x_local !< discretized artificial dissipation at leftward-side
+       REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn,0:threads_per_task-1) ::  swap_flux_x_local !< discretized 6th-order flux at leftward-side
+!
+!--    Used local modified copy of nzb_max (used to degrade order of
 !--    discretization) at non-cyclic boundaries. Modify only at relevant points
-!--    instead of the entire subdomain. This should lead to better 
+!--    instead of the entire subdomain. This should lead to better
 !--    load balance between boundary and non-boundary PEs.
        IF( non_cyclic_l  .AND.  i <= nxl + 2  .OR.                             &
@@ -1309,5 +1314,5 @@
        END IF
 !
-!--    Set control flag for flux limiter 
+!--    Set control flag for flux limiter
        limiter = .FALSE.
        IF ( PRESENT( flux_limitation) )  limiter = flux_limitation
@@ -1324,32 +1329,32 @@
 
              v_comp                  = v(k,j,i) - v_gtrans + v_stokes_zu(k)
-             swap_flux_y_local(k,tn) = v_comp *         (                     &
-                                               ( 37.0_wp * ibit5 * adv_sca_5  &
-                                            +     7.0_wp * ibit4 * adv_sca_3  &
-                                            +              ibit3 * adv_sca_1  &
-                                               ) *                            &
-                                           ( sk(k,j,i)  + sk(k,j-1,i)     )   &
-                                         -     (  8.0_wp * ibit5 * adv_sca_5  &
-                                            +              ibit4 * adv_sca_3  &
-                                                ) *                           &
-                                           ( sk(k,j+1,i) + sk(k,j-2,i)    )   &
-                                         +     (           ibit5 * adv_sca_5  &
-                                               ) *                            &
-                                           ( sk(k,j+2,i) + sk(k,j-3,i)    )   &
+             swap_flux_y_local(k,tn) = v_comp *         (                      &
+                                               ( 37.0_wp * ibit5 * adv_sca_5   &
+                                            +     7.0_wp * ibit4 * adv_sca_3   &
+                                            +              ibit3 * adv_sca_1   &
+                                               ) *                             &
+                                           ( sk(k,j,i)  + sk(k,j-1,i)     )    &
+                                         -     (  8.0_wp * ibit5 * adv_sca_5   &
+                                            +              ibit4 * adv_sca_3   &
+                                                ) *                            &
+                                           ( sk(k,j+1,i) + sk(k,j-2,i)    )    &
+                                         +     (           ibit5 * adv_sca_5   &
+                                               ) *                             &
+                                           ( sk(k,j+2,i) + sk(k,j-3,i)    )    &
                                                         )
 
-             swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                     &
-                                               ( 10.0_wp * ibit5 * adv_sca_5  &
-                                            +     3.0_wp * ibit4 * adv_sca_3  &
-                                            +              ibit3 * adv_sca_1  &
-                                               ) *                            &
-                                            ( sk(k,j,i)   - sk(k,j-1,i)  )    &
-                                        -      (  5.0_wp * ibit5 * adv_sca_5  &
-                                            +              ibit4 * adv_sca_3  &
-                                            ) *                               &
-                                            ( sk(k,j+1,i) - sk(k,j-2,i)  )    &
-                                        +      (           ibit5 * adv_sca_5  &
-                                               ) *                            &
-                                            ( sk(k,j+2,i) - sk(k,j-3,i)  )    &
+             swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                      &
+                                               ( 10.0_wp * ibit5 * adv_sca_5   &
+                                            +     3.0_wp * ibit4 * adv_sca_3   &
+                                            +              ibit3 * adv_sca_1   &
+                                               ) *                             &
+                                            ( sk(k,j,i)   - sk(k,j-1,i)  )     &
+                                        -      (  5.0_wp * ibit5 * adv_sca_5   &
+                                            +              ibit4 * adv_sca_3   &
+                                            ) *                                &
+                                            ( sk(k,j+1,i) - sk(k,j-2,i)  )     &
+                                        +      (           ibit5 * adv_sca_5   &
+                                               ) *                             &
+                                            ( sk(k,j+2,i) - sk(k,j-3,i)  )     &
                                                         )
 
@@ -1360,13 +1365,13 @@
 
              v_comp                  = v(k,j,i) - v_gtrans + v_stokes_zu(k)
-             swap_flux_y_local(k,tn) = v_comp * (                             &
-                                    37.0_wp * ( sk(k,j,i)   + sk(k,j-1,i) )   &
-                                  -  8.0_wp * ( sk(k,j+1,i) + sk(k,j-2,i) )   &
-                                  +           ( sk(k,j+2,i) + sk(k,j-3,i) )   &
+             swap_flux_y_local(k,tn) = v_comp * (                              &
+                                    37.0_wp * ( sk(k,j,i)   + sk(k,j-1,i) )    &
+                                  -  8.0_wp * ( sk(k,j+1,i) + sk(k,j-2,i) )    &
+                                  +           ( sk(k,j+2,i) + sk(k,j-3,i) )    &
                                                 ) * adv_sca_5
-             swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                     &
-                                    10.0_wp * ( sk(k,j,i)   - sk(k,j-1,i) )   &
-                                  -  5.0_wp * ( sk(k,j+1,i) - sk(k,j-2,i) )   &
-                                  +             sk(k,j+2,i) - sk(k,j-3,i)     &
+             swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                      &
+                                    10.0_wp * ( sk(k,j,i)   - sk(k,j-1,i) )    &
+                                  -  5.0_wp * ( sk(k,j+1,i) - sk(k,j-2,i) )    &
+                                  +             sk(k,j+2,i) - sk(k,j-3,i)      &
                                                         ) * adv_sca_5
 
@@ -1377,5 +1382,5 @@
 !--    Compute leftside fluxes of the respective PE bounds.
        IF ( i == i_omp )  THEN
-        
+
           DO  k = nzb+1, nzb_max_l
 
